### Enumeration

# FwupdPlugin FirmwareParseFlags

#### Declaration

    flags FwupdPlugin.FirmwareParseFlags

#### Description

No description available.

#### Members

`FU_FIRMWARE_PARSE_FLAG_NONE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_FIRMWARE_PARSE_FLAG_IGNORE_CHECKSUM`

  No description available.

  - Value: `64`
  - Available since: 1.0
`FU_FIRMWARE_PARSE_FLAG_IGNORE_VID_PID`

  No description available.

  - Value: `128`
  - Available since: 1.0
`FU_FIRMWARE_PARSE_FLAG_NO_SEARCH`

  No heuristics.

  - Value: `256`
  - Available since: 1.0
`FU_FIRMWARE_PARSE_FLAG_CACHE_STREAM`

  No description available.

  - Value: `1024`
  - Available since: 1.0
`FU_FIRMWARE_PARSE_FLAG_CACHE_BLOB`

  No description available.

  - Value: `2048`
  - Available since: 1.0
`FU_FIRMWARE_PARSE_FLAG_ONLY_TRUST_PQ_SIGNATURES`

  No description available.

  - Value: `4096`
  - Available since: 1.0
`FU_FIRMWARE_PARSE_FLAG_ONLY_PARTITION_LAYOUT`

  No description available.

  - Value: `8192`
  - Available since: 1.0
`FU_FIRMWARE_PARSE_FLAG_ONLY_BASENAME`

  No description available.

  - Value: `16384`
  - Available since: 1.0